<template>
  <cc-root-view>
    <text>detail</text>
  </cc-root-view>
</template>

<script setup lang="ts">
import { useWeAppAuthStore } from '@/common'
import { onLoad } from '@dcloudio/uni-app'
import { getCurrentInstance } from 'vue'

const auth = useWeAppAuthStore()

onLoad(async () => {
  await getCurrentInstance()?.appContext.config.globalProperties.$onLaunched
  console.log('detail.vue onLoad')
  // auth.hasError = true;
})
</script>
